Bug 1683592

Summary: Exporting a CV with only puppet modules raises a tar error
Product: Red Hat Satellite 6 Reporter: Chris Roberts <chrobert>
Component: Inter Satellite SyncAssignee: Chris Roberts <chrobert>
Status: CLOSED ERRATA QA Contact: Jitendra Yejare <jyejare>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.5.0CC: chrobert, ehelms
Target Milestone: ReleasedKeywords: Triaged
Target Release: Unused   
Hardware: x86_64   
OS: Linux   
URL: https://projects.theforeman.org/issues/26047
Whiteboard:
Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.10-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-14 12:40:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1657711    

Description Chris Roberts 2019-02-27 09:59:08 UTC
Description of problem:


If you create a CV version that only contains non-yum repos, exporting will result in this error:

tar: Cowardly refusing to create an empty archive
Instead, the export should raise a more descriptive error earlier in the process.


Version-Release number of selected component (if applicable):


Satellite 6.5.0

How reproducible:


Steps to Reproduce:
1. Create a content view with only a puppet module
2. Try to export with hammer
3. Get weird error

Actual results:
tar: Cowardly refusing to create an empty archive


Expected results:
Better error message saying why the export failed

Additional info:

This is not supported at the moment so this is just to make a better error message. Should have a PR in for this by Fri 2-29-19 Please triage into 6.5 if I am not in the triage meeting, this was only created upstream hence why it never got flagged for 6.5

Comment 3 Bryan Kearney 2019-03-04 17:00:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26047 has been resolved.

Comment 5 Jitendra Yejare 2019-03-18 09:55:09 UTC
Verified!

@ Satellite 6.5 snap 20


Steps:
1. Created Product with puppet repo, having a puppet module
2. Created a Product with above puppet repo.
3. Published above CV
4. Attempted to export above Cv version.

Observation:

1. The non-yum repos(specially  are not 
# hammer content-view version export --id 3 --export-dir /var/lib/pulp/katello-export
Could not export the content view:
  Error: The Content View 'puppet_Cv' contains Puppet modules, this is not supported at this time. Please remove the modules, publish a new version and try the export again.

Comment 8 errata-xmlrpc 2019-05-14 12:40:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222